Changeset 526


Ignore:
Timestamp:
Aug 6, 2016, 6:18:14 AM (4 years ago)
Author:
Lewis Rosenthal
Message:

Updated readme and changelog in preparation for tagging 1.3.6 release

Location:
trunk/Lucide
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/Lucide/changelog

    r520 r526  
    111.3.6:
     2  - built against poppler 0.42.0
    23  - updated build conf for GCC 4.9.2 / kBuild 0.1.9998 r2803
     4  - added substitute font names to font dialog (ticket #280)
     5  - fixed Save as text in menu and added accelerator (Ctrl-A) (ticket #275)
     6  - added exceptq support (ticket #272)
    37  - use poppler as system wide installed shared library (ticket #266)
     8  - fixed missing mnemonics in print dialog (ticket #264)
     9  - added hotkey (F9) to open/close navigation pane (ticket #212)
     10  - added option to print in reverse page order (ticket #120)
     11  - fixed inability to open AES-256-encrypted PDfs (ticket #91)
     12
    413
    5141.3.5:
  • trunk/Lucide/readme

    r520 r526  
    1111   Supported file type         Supported features
    1212  --------------------------------------------------------------------------
    13          PDF                   Scaling, Rotation, Navigation, Text
    14                                selection, Searching, Asynchronous rendering,
    15                                PostScript printing
     13         PDF                   scaling, rotation, navigation, text
     14                               selection, searching, asynchronous rendering,
     15                               form fill-in, PostScript printing
    1616
    1717         DJVU                  Scaling, PostScript printing
     
    2020  --------------------------------------------------------------------------
    2121
     22:: Comparison to qPDFView ::
     23
     24Both Lucide and qPDFView uutilize the poppler library for rendering PDFs.
     25Internal differences between the two program result in some rendering more
     26quickly in one program vs the other. Overall, we feel that Lucide has a more
     27OS/2-like - or native - feel to its interface, and is better suited to the
     28operating system. The choice is left entirely to the user as to which is
     29better suited to his needs.
     30
    2231
    2332:: Requirements ::
    2433
    25 Lucide requires the following:
     34To install all prerequisites in one go from Arca Noae Package Manager, simply
     35copy and paste the following string into the Quick install dialog:
    2636
    27   - libc 0.6.5:
    28     - ftp://ftp.netlabs.org/pub/gcc/libc-0.6.5-csd5.zip (zip format)
    29       or ftp://ftp.netlabs.org/pub/gcc/libc-0_6_5-csd5.wpi (WarpIn format)
    30   - gcc446.dll:
    31     - ftp://ftp.netlabs.org/pub/gcc/gcc4core-1_2_1.wpi (WarpIn format)
    32   - poppler library needs to be installed to view PDFs:
    33     - "yum install poppler", can be installed from netlabs.org repository
     37    libc libgcc1 libgcc-fwd poppler poppler-data uclip
     38
     39
     40Specifically, Lucide requires the following:
     41
     42  - libc 0.6.6:
     43    - ftp://ftp.netlabs.org/pub/gcc/libc-0.6.6-csd6.zip (zip format)
     44      or ftp://ftp.netlabs.org/pub/gcc/libc-0_6_6-csd6.wpi (WarpIn format)
     45      or "yum install libc" (from the netlabs-rel repository)
     46  - gcc492.dll:
     47    - ftp://ftp.netlabs.org/pub/gcc/gcc4core-1_3_1.wpi (WarpIn format)
     48      or "yum install libgcc1 libgcc-fwd" (from the netlabs-rel repository)
     49  - poppler 0.42.0 library needs to be installed to view PDFs:
     50    - "yum install poppler", can be installed from netlabs-rel repository
    3451
    3552
    3653Optional: to place unicode text to the clipboard in OpenOffice.org-compatible
    3754format you need to install UClip package (enhanced OS/2 clipboard support,
    38 installed by default in eComStation 2.0 RC1 and up):
     55installed by default in eComStation 2.0 RC1 and up, as well as ArcaOS Blue
     56Lion):
    3957
    4058  - http://hobbes.nmsu.edu/cgi-bin/h-search?key=UClip
     59    or "yum install uclip" (from the netlabs-rel repository)
    4160
    42 Optional: to have japanese fonts working you need poppler-data pack.
     61Optional: to have Japanese fonts working you need the poppler-data package.
    4362
    44   - extract the 4 directories from the package found on http://poppler.freedesktop.org
    45     to your %unixroot%/usr/local/share/poppler or to the dir where lucide.exe is installed
    46   - take care that the "Times New Roman WT J" font is installed. This font is used
    47     as a fallback
    48    
    49 PostScript printing requires PostScript-capable printer (pscript.drv).
     63  - "yum install poppler-data" (from the netlabs-rel repository)
     64
     65
     66PostScript printing requires PostScript-capable printer (pscript.drv or
     67psprint.drv).
    5068
    5169
    5270To see a full list of features and enhancements consult the Lucide TRAC at:
    5371
    54   http://svn.netlabs.org/lucide/
     72  https://trac.netlabs.org/lucide/
    5573
    5674If you encounter any bugs register them in the TRAC as well, see:
    5775
    58   http://svn.netlabs.org/lucide/newticket
     76  https://trac.netlabs.org/lucide/newticket
    5977
    6078Please make sure you select the correct version and component for your ticket.
     
    6381:: Known problems/limitations ::
    6482
    65 General: even/odd printing unavailable for postscript printing.
    66           ( http://svn.netlabs.org/lucide/ticket/87#comment:4 )
     83See: https://trac.netlabs.org/lucide/report/1
    6784
     85
     86:: Third-Party plugins ::
     87
     88GBM (Generalised Bitmap Module) is a library for handling many different bitmap
     89file formats. It comes with a set of useful command line tools for doing bitmap
     90manipulations and format conversion. In this version BMP, JPG, JP2, PNG, TIF,
     91PBM, PGM, PPM, PNM, XPM, JBG and RAW support is additionally included.
     92
     93http://hobbes.nmsu.edu/h-search.php?key=gbmos2pm160_gbm176_lu143_moz147_bin_wpi
     94
     95N.B.: If using GBM to render JPG images, it is advised to disable the JPG
     96plugin which ships with Lucide to avoid conflicts (see ticket #236). This may
     97be accimplished by simply renaming lujpeg.dll in the Lucide program directory
     98to lujpeg.dl_ when Lucide is not running. To re-enable the included JPG plugin,
     99simply rename the file to its original name and start Lucide.
    68100
    69101:: Pipe commands ::
     
    84116
    85117
    86 :: License till version 1.21 ::
     118:: License through version 1.21 ::
    87119
    88120Lucide version 1.21 and earlier are licensed for use with eComStation only.
     
    93125:: License for version 1.3.0 and better ::
    94126
    95 Starting with version 1.3.0 Mensys BV and Serenity Systems International
     127Starting with version 1.3.0, Mensys BV and Serenity Systems International
    96128have agreed in opensourcing Lucide, while still investing in the product.
    97129Netlabs.org would like to express it's gratitude toward Mensys BV and
    98130Serenity Systems International.
     131
     132Arca Noae, LLC has agreed to foster development of Lucide from version
     1331.3.6 onward. Lucide remains open source, and dual licensed.
    99134
    100135Lucide as of version 1.3.0 is released and distributed under CDDL/LGPL.
     
    109144
    110145http://www.netlabs.org
    111 http://www.ecomstation.com
     146https://www.arcanoae.com
    112147
    113148
     
    117152(c) 2010-2011 by Dmitriy Kuminov, netlabs.org
    118153    in co-operation with Serenity Systems International
    119 
     154(c) 2016 by netlabs.org
     155    in co-operation with Arca Noae, LLC
Note: See TracChangeset for help on using the changeset viewer.